Zum Inhalt

Get vendor

Retrieve the properties and relationships of a vendor object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/vendorsWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a vendor object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/vendorsWebCon({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "7f06383f-dcd8-ed11-a7cd-000d3a392f9f",
    "number": "10000",
    "displayName": "Hamburger Möbelgroßhandel GmbH",
    "name2": "",
    "addressLine1": "Hamburger Str. 18",
    "addressLine2": "",
    "city": "Diepholz",
    "state": "",
    "country": "",
    "postalCode": "49293",
    "phoneNumber": "",
    "mobilePhoneNumber": "",
    "email": "",
    "website": "www.royalmail.co.uk",
    "searchName": "HAMBURGER MÖBELGROßHANDEL GMBH",
    "taxRegistrationNumber": "895741963",
    "currencyId": "00000000-0000-0000-0000-000000000000",
    "currencyCode": "EUR",
    "paymentTermsId": "cf532a39-dcd8-ed11-a7cd-000d3a392f9f",
    "paymentMethodId": "00000000-0000-0000-0000-000000000000",
    "taxLiable": false,
    "blocked": " ",
    "balance": 176787.72,
    "languageCode": "DEU",
    "responsibilityCenter": "HAMBURG",
    "generalBusinessPostingGroupCode": "INLAND",
    "vendorPostingGroup": "INLAND",
    "vatBusinessPostingGroup": "INLAND",
    "yourAccountNumber": "",
    "lastModifiedDateTime": "2023-08-21T14:21:02.213Z"
}

See also

Tips for working with the APIs
vendor
Delete vendor
Create vendor
Update vendor